curl --request GET \
--url https://api.kajabi.com/v1/orders/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "orders",
"attributes": {
"order_number": 123,
"currency_code": "<string>",
"fulfilled_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"total_price_in_cents": 123,
"subtotal_in_cents": 123,
"sales_tax_amount_in_cents": 123,
"discount_amount_in_cents": 123,
"formatted_total_price": "<string>",
"formatted_subtotal": "<string>",
"currency_symbol": "<string>"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"customer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"order_items": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Shows details of an order
Orders represent completed purchase transactions and contain:
order_number (integer) - A unique identifier for the order within the sitecurrency_code (string) - The ISO currency code for the order (e.g., “USD”)total_price_in_cents (integer) - Total price including taxes and discountssubtotal_in_cents (integer) - Subtotal before taxes and discountssales_tax_amount_in_cents (integer) - Total sales tax amountdiscount_amount_in_cents (integer) - Total discount amountfulfilled_at (string) - Timestamp when the order was fulfilledcreated_at (string) - Timestamp when the order was createdUse the include parameter to load related resources:
GET /v1/orders/123?include=order_items,customercurl --request GET \
--url https://api.kajabi.com/v1/orders/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"type": "orders",
"attributes": {
"order_number": 123,
"currency_code": "<string>",
"fulfilled_at": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"total_price_in_cents": 123,
"subtotal_in_cents": 123,
"sales_tax_amount_in_cents": 123,
"discount_amount_in_cents": 123,
"formatted_total_price": "<string>",
"formatted_subtotal": "<string>",
"currency_symbol": "<string>"
},
"relationships": {
"site": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"customer": {
"data": {
"id": "<string>",
"type": "<string>"
}
},
"order_items": {
"data": [
{
"id": "<string>",
"type": "<string>"
}
]
}
}
},
"links": {
"self": "<string>",
"current": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Load the related resources, for example ?include=order_items,customer,site
Partial attributes as specified, e.g. fields[orders]=order_number,total_price_in_cents
Was this page helpful?